uux(1)

NUME
uux - executarea comenzilor de la distanță prin UUCP

SINOPSIS
uux [ opțiuni ] comanda

DESCRIERE
Comanda uux este utilizată pentru a executa o comandă pe un sistem la distanță sau pentru a executa o comandă pe sistemul local folosind fișiere de pe sisteme la distanță. Comanda nu este executată imediat; cererea este pusă în coadă până când demonul uucico (8) apelează sistemul și o execută. Demonul este pornit automat, cu excepția cazului în care nu se dă una dintre opțiunile -r sau --nouucico.

Executarea efectivă a comenzilor este realizată de demonul uuxqt (8).

Argumentele fișierelor pot fi colectate de la sisteme la distanță către sistemul de execuție, la fel ca și intrarea standard. Ieșirea standard poate fi direcționată către un fișier de pe un sistem la distanță.

Numele comenzii poate fi precedat de un nume de sistem urmat de un semn de exclamare, în cazul în care aceasta urmează să fie executată pe un sistem la distanță. Un nume de sistem gol este considerat ca fiind sistemul local.

Fiecare argument care conține un semn de exclamare este tratat ca și cum ar denumi un fișier. Sistemul pe care se află fișierul se află înainte de semnul exclamării, iar numele de rută pe acel sistem îl urmează. Un nume de sistem gol este considerat ca fiind sistemul local; acesta trebuie utilizat pentru a transfera un fișier către o comandă care se execută pe un sistem la distanță. În cazul în care ruta de acces nu este absolută, aceasta va fi adăugată la directorul de lucru curent de pe sistemul local; este posibil ca rezultatul să nu fie semnificativ pe sistemul la distanță. Un nume de rută poate începe cu ~/, caz în care este relativă la directorul public UUCP (de obicei „/usr/spool/uucppublic” sau „/var/spool/uucppublic”) de pe sistemul respectiv. Un nume de rută poate începe cu ~nume/, caz în care se referă la directorul personal al utilizatorului numit pe sistemul respectiv.

Intrările și ieșirile standard pot fi redirecționate ca de obicei; numele rutelor utilizate pot conține semne de exclamare pentru a indica faptul că acestea se află pe sisteme la distanță. Rețineți că caracterele de redirecționare trebuie să fie puse între ghilimele pentru a fi transmise la uux și să nu fie interpretate de shell. Redirecționarea prin adăugare (>>) nu funcționează.

Toate fișierele specificate sunt adunate într-un singur director înainte de începerea executării comenzii. Aceasta înseamnă că fiecare fișier trebuie să aibă un nume de bază distinct. De exemplu:
uux 'sys1!diff sys2!~user1/foo sys3!~user2/foo >!foo.diff'
va eșua deoarece ambele fișiere vor fi copiate în sys1 și stocate sub numele foo.

Argumentele pot fi puse între paranteze pentru a evita interpretarea semnelor de exclamare. Acest lucru este util atunci când se execută comanda uucp pe un sistem la distanță.

O cerere de executare a unei comenzi goale (de exemplu, uux sys!) va crea un fișier de sondare pentru sistemul specificat.

Starea de ieșire a uux este unul dintre codurile care se găsesc în fișierul antet sysexits.h. În special, EX_OK ( 0 ) indică un succes, iar EX_TEMPFAIL ( 75 ) indică un eșec temporar.

OPȚIUNI
Următoarele opțiuni pot fi date lui uux:

-, -p, --stdin
    Citește intrarea standard și o utilizează ca intrare standard pentru comanda care urmează să fie executată.

-c, --nocopy
    Nu copiază fișierele locale în directorul „spool”. Aceasta este valoarea implicită. Dacă acestea sunt eliminate înainte de a fi procesate de către demonul uucico (8), copia va eșua. Fișierele trebuie să poată fi citite de către demonul uucico (8), precum și de către cel care invocă uux.

-C, --copy
    Copiază fișierele locale în directorul „spool”.

-l, --link
    Creează legături ale fișierelor locale în directorul spool. Dacă un fișier nu poate fi legat deoarece se află pe un dispozitiv diferit, acesta va fi copiat, cu excepția cazului în care apare și una dintre opțiunile -c sau --nocopy (cu alte cuvinte, utilizarea lui --link schimbă valoarea implicită din --nocopy în --copy). Dacă fișierele sunt modificate înainte de a fi procesate de demonul uucico (8), vor fi utilizate versiunile modificate. Fișierele trebuie să poată fi citite de către demonul uucico (8), precum și de către cel care invocă uux.

-g grad, --grade grad
    Stabilește gradul comenzii de transfer de fișiere. Sarcinile de un grad mai mare sunt executate primele. Gradele se execută 0 ... 9 A ... Z a ... z de la mare la mic.

-n, --notification=no
    Nu trimite e-mailuri cu privire la starea sarcinii, chiar dacă aceasta eșuează.

-z, --notification=error
    Trimite e-mailuri cu privire la starea sarcinii în cazul în care apare o eroare. Pentru mulți demoni uuxqt, inclusiv pentru Taylor UUCP uuxqt, aceasta este acțiunea implicită; pentru aceștia, --notification=error nu va avea niciun efect. Cu toate acestea, unii demoni uuxqt vor trimite corespondență dacă lucrarea reușește, cu excepția cazului în care se utilizează opțiunea --notification=error, iar alți demoni uuxqt nu vor trimite corespondență dacă lucrarea eșuează, cu excepția cazului în care se utilizează opțiunea --notification=error.

-r, --nouucico
    Nu pornește imediat demonul uucico (8); doar pune în coadă cererea de execuție pentru o procesare ulterioară.

-j, --jobid
    Imprimă id-urile sarcinilor la ieșirea standard. Se va genera un id de sarcină pentru fiecare operație de copiere a fișierelor necesară pentru efectuarea operației. Aceste copii de fișiere pot fi anulate prin pasarea id-ului sarcinii la opțiunea --kill din uustat (1), ceea ce va face imposibilă finalizarea execuției.

-a adresa, --requestor adresa
    Raportează starea sarcinilor la adresa de e-mail specificată.

-x tip, --debug tip
    Activează un anumit tip de depanare. Sunt recunoscute următoarele tipuri: abnormal, chat, handshake, uucp-proto, proto, port, config, spooldir, execute, incoming, outgoing. Numai abnormal, config, spooldir și execute sunt semnificative pentru uux.

    Se pot indica mai multe tipuri, separate prin virgule, iar opțiunea --debug poate apărea de mai multe ori. De asemenea, se poate indica un număr, care va activa atâtea tipuri din lista de mai sus; de exemplu, --debug 2 este echivalent cu --debug abnormal,chat.

-I fișier, --config fișier
    Stabilește fișierul de configurare care urmează să fie utilizat. Este posibil ca această opțiune să nu fie disponibilă, în funcție de modul în care a fost compilat uux.

-v, --version
    Comunică informațiile despre versiune și iese.

--help
    Imprimă un mesaj de ajutor și iese.

EXEMPLE
uux -z - sys1!rmail user1
Execută comanda «rmail user1»' pe sistemul sys1, dându-i ca intrare standard tot ceea ce este dat lui uux ca intrare standard. Dacă apare un eșec, trimite un mesaj folosind mail (1).

uux 'diff -c sys1!~user1/file1 sys2!~user2/file2 >!file.diff'
Preia cele două fișiere numite din sistemul sys1 și sistemul sys2 și execută diff, punând rezultatul în fișierul.diff din directorul curent. Directorul curent trebuie să poată fi accesat pentru scriere de către daemonul uuxqt (8) pentru ca acest lucru să funcționeze.

uux 'sys1!uucp ~user1/file1 (sys2!~user2/file2)'
Execută uucp pe sistemul sys1 copiind fișierul1 (de pe sistemul sys1) pe sys2. Acest lucru ilustrează utilizarea parantezelor pentru eludarea semnelor de exclamare ale argumentelor.

RESTRICȚII
Este posibil ca sistemul de la distanță să nu vă permită să executați anumite comenzi. Multe sisteme la distanță permit doar executarea comenzilor rmail și rnews.

Unele dintre opțiuni depind de capacitățile demonului uuxqt (8) de pe sistemul la distanță.

CONSULTAȚI ȘI
mail(1), uustat(1), uucp(1), uucico(8), uuxqt(8)

ERORI
Fișierele nu pot fi dare ca referință pe mai multe sisteme.

--jobid, emite prea multe id-uri de sarcini și nu există o modalitate bună de a anula o execuție locală care necesită fișiere de la distanță.

AUTOR
Ian Lance Taylor (ian@airs.com)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.